﻿' This software is licensed under Microsoft Public License (Ms-PL), which governs use of the accompanying software. 
' If you use the software, you accept this license. 

' The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, 
' guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot 
' change. To the extent permitted under your local laws, the contributors exclude the implied warranties of 
' merchantability, fitness for a particular purpose and non-infringement.

Imports System.Net
Imports System.Runtime.Serialization

Namespace Rest
    ''' <summary>
    ''' Provides specific details for the <seealso cref="RestFaultException">RestFaultException</seealso> class.
    ''' </summary>
    ''' <remarks></remarks>
    <Serializable()>
    <DataContract()>
    Public Class ErrorDetails
        ''' <summary>
        ''' Gets or sets the number of the error.
        ''' </summary>
        ''' <value></value>
        ''' <returns></returns>
        ''' <remarks></remarks>
        <DataMember()>
        Public Property ErrorCode As Long
        ''' <summary>
        ''' Gets or sets the message or the error.
        ''' </summary>
        ''' <value></value>
        ''' <returns></returns>
        ''' <remarks></remarks>
        <DataMember()>
        Public Property Message As String
        ''' <summary>
        ''' Gets or sets the source of the error.
        ''' </summary>
        ''' <value></value>
        ''' <returns></returns>
        ''' <remarks></remarks>
        <DataMember()>
        Public Property Source As String
    End Class
End Namespace
